Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.util
Class Orderer<T>

    java.lang.Object
      org.apache.tapestry5.ioc.internal.util.Orderer<T>

    public class Orderer<T>

extends java.lang.Object

Used to order objects into an "execution" order. Each object must have a unique id. It may specify a list of constraints which identify the ordering of the objects.

Constructor Summary
`Orderer(org.slf4j.Logger logger)`

Method Summary
`void` | `add(Orderable<T> orderable)` Adds an object to be ordered.
`void` | `add(java.lang.String id, T target, java.lang.String... constraints)` Adds an object to be ordered.
`java.util.List<T>` | `getOrdered()`
`void` | `override(Orderable<T> orderable)`
`void` | `override(java.lang.String id, T target, java.lang.String... constraints)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Orderer

    public Orderer(org.slf4j.Logger logger)

Method Detail

### add

    public void add(Orderable<T> orderable)

  Adds an object to be ordered.

  Parameters:
    `orderable` -

### override

    public void override(Orderable<T> orderable)

### add

    public void add(java.lang.String id,
                    T target,
                    java.lang.String... constraints)

  Adds an object to be ordered.

  Parameters:
    `id` - unique, qualified id for the target
    `target` - the object to be ordered (or null as a placeholder)
    `constraints` - optional, variable constraints
  See Also:
    `add(Orderable)`

### override

    public void override(java.lang.String id,
                         T target,
                         java.lang.String... constraints)

### getOrdered

    public java.util.List<T> getOrdered()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.